<template>
    <form @submit.prevent>
        <div class="form__header">
            <h1 class="form__title">Forgot your password?</h1>
            <h2 class="form__clue">
                For security reasons, withdrawal of funds is prohibited for
                <span class="form__clue--orange">24 hours</span> after changing security data
            </h2>
        </div>
        <div class="form__body">
            <div class="form__input">
                <CustomInput
                    label="Email"
                    placeholder="Enter your email address"
                    v-model="email"
                    :error="v$.email.$error"
                />
                <HelpText v-show="v$.email.$error" :error="v$.email.$error">
                    {{ v$.email.$errors[0]?.$message }}
                </HelpText>
            </div>
            <div class="form__buttons">
                <div class="form__button">
                    <CustomButton @click="submitForm">Continue</CustomButton>
                </div>
            </div>
        </div>
    </form>
</template>

<script>

import CustomInput from "@/components/AhInput";
import CustomButton from "@/components/AhButton";
import HelpText from "@/components/HelpText";
import useVuelidate from "@vuelidate/core";
import { email, helpers, required } from "@vuelidate/validators";
import { ref } from "vue";

export default {
    name: "LoginPage",
    components: {CustomButton, CustomInput, HelpText},
    setup() {
        const email = ref(null);
        return {
            v$: useVuelidate(),
            email
        }
    },
    validations() {
        return {
            email: {
                required: helpers.withMessage('Please enter your email', required),
                email: helpers.withMessage('Email format is not valid', email),
            },
        }
    },
    methods: {
        async submitForm() {
            const isFormCorrect = await this.v$.$validate();
            if (!isFormCorrect) {
                return;
            }
        }
    }
}

</script>

<style lang="scss" scoped>

form {
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
}

.form__title {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 700;
    font-size: 50px;
    line-height: 60px;
    margin-bottom: 0px;

    color: #FFFFFF;
}

.form__clue {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    margin: 11px 0 20px 0;
    max-width: 464px;
    text-align: center;
    color: #FFFFFF;
}

.form__clue--orange {
    color: $hsl-color-orange
}

.form__input {
    padding-bottom: 24px;
    max-width: 400px;
}

.form__buttons {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.form__link {

    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;

    display: flex;
    align-items: center;
    text-align: center;
    text-decoration-line: underline;

    margin-top: 24px;
    color: #FFDA3E;

}

</style>